/* fonts */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/* components */
@import './components/hero.css';

@import './components//topbar.css';
@import './components/navbar.css';

@import './components/primary-button.css';
@import './components/secondary-button.css';

@import './components/fullscreen-section.css';

@import './components/heading-text-section.css';

@import './components/grid.css';

@import './components/card.css';

@import './components/gallery.css';

@import './components/cta.css';

@import './components/text-block-with-img.css';

@import './components/slider.css';

@import './components/footer.css';

@import './components/contact.css';

@import './components/checklist.css';

/* variables */
:root {
    --main-background-color: #0c0c0c;
    --base-text-color: #F5F5F5;
    --primary-color: #ae043b;
    --primary-color-rgb: 225, 6, 0;

    --padding-website: 4rem;
    --padding-mobile: 1rem;

    --button-font-size: 14px;
    --heading-font-family: 'Montserrat', sans-serif;
    --paragraph-font-family: 'Inter', sans-serif;

    --header-height: 140px;
}

/* reset */
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html,
body {
    margin: 0;
    padding: 0;
}

body {
    overflow-x: hidden;
}

a {
    text-decoration: none;
}

ul {
    list-style-type: none;
}

/* base styles */
body {
    color: var(--base-text-color);
    background-color: var(--main-background-color);
    font-family: var(--heading-font-family);
}

.header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: var(--main-background-color);
}

h1 {
    font-size: clamp(20px, 4vw, 36px);
    font-weight: 700;
}

h2 {
    font-size: clamp(18px, 4vw, 28px);
    font-weight: 600;
}

p {
    font-size: clamp(14px, 2vw, 16px);
    line-height: 1.6;
}

